<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-670"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20MainTabTipWindowManager%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: MainTabTipWindowManager类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_main_tab_tip_window_manager.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface_main_tab_tip_window_manager-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">MainTabTipWindowManager类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_main_tab_tip_window_manager_8h_source.html">MainTabTipWindowManager.h</a>&gt;</code></p>
<div class="dynheader">
类 MainTabTipWindowManager 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_main_tab_tip_window_manager.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a7d57e1f3cc9ea664b09cee4ce26bd252"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_main_tab_tip_window_manager.html#a7d57e1f3cc9ea664b09cee4ce26bd252">showTipViewWithTitle:dotPoint:emptyReact:</a></td></tr>
<tr class="memdesc:a7d57e1f3cc9ea664b09cee4ce26bd252"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dotPoint: 倒三角形 下顶点坐标  <a href="interface_main_tab_tip_window_manager.html#a7d57e1f3cc9ea664b09cee4ce26bd252">更多...</a><br/></td></tr>
<tr class="separator:a7d57e1f3cc9ea664b09cee4ce26bd252"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a63e9625915bd7a62fdba15ea2ec49441"><td class="memItemLeft" align="right" valign="top">(NSUInteger)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">tabBarTipShowStep</a></td></tr>
<tr class="memdesc:a63e9625915bd7a62fdba15ea2ec49441"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">0需要展示两个 1只需要展示我的tab提示 2不需要展示  <a href="interface_main_tab_tip_window_manager.html#a63e9625915bd7a62fdba15ea2ec49441">更多...</a><br/></td></tr>
<tr class="separator:a63e9625915bd7a62fdba15ea2ec49441"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abf100d90faa85ac1b81f45120a648c08"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_main_tab_tip_window_manager.html#abf100d90faa85ac1b81f45120a648c08">saveTabBarTipShowStep:</a></td></tr>
<tr class="memdesc:abf100d90faa85ac1b81f45120a648c08"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">保存当前的步骤  <a href="interface_main_tab_tip_window_manager.html#abf100d90faa85ac1b81f45120a648c08">更多...</a><br/></td></tr>
<tr class="separator:abf100d90faa85ac1b81f45120a648c08"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab0ecabe8581c7181407ce9f5112eeb10"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_main_tab_tip_window_manager.html#ab0ecabe8581c7181407ce9f5112eeb10">showedTabBarTip</a></td></tr>
<tr class="separator:ab0ecabe8581c7181407ce9f5112eeb10"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a5c0d01f9c2444529d00d73f648a14f9d"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_main_tab_tip_window_manager_delegate-p.html">MainTabTipWindowManagerDelegate</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_main_tab_tip_window_manager.html#a5c0d01f9c2444529d00d73f648a14f9d">delegate</a></td></tr>
<tr class="separator:a5c0d01f9c2444529d00d73f648a14f9d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="abf100d90faa85ac1b81f45120a648c08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf100d90faa85ac1b81f45120a648c08">◆&nbsp;</a></span>saveTabBarTipShowStep:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (void) saveTabBarTipShowStep: </td>
          <td></td>
          <td class="paramtype">(NSUInteger)&nbsp;</td>
          <td class="paramname"><em>step</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>保存当前的步骤 </p>

</div>
</div>
<a id="ab0ecabe8581c7181407ce9f5112eeb10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0ecabe8581c7181407ce9f5112eeb10">◆&nbsp;</a></span>showedTabBarTip</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (BOOL) showedTabBarTip </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7d57e1f3cc9ea664b09cee4ce26bd252"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d57e1f3cc9ea664b09cee4ce26bd252">◆&nbsp;</a></span>showTipViewWithTitle:dotPoint:emptyReact:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) showTipViewWithTitle: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>title</em></td>
        </tr>
        <tr>
          <td class="paramkey">dotPoint:</td>
          <td></td>
          <td class="paramtype">(CGPoint)&nbsp;</td>
          <td class="paramname"><em>point</em></td>
        </tr>
        <tr>
          <td class="paramkey">emptyReact:</td>
          <td></td>
          <td class="paramtype">(CGRect)&nbsp;</td>
          <td class="paramname"><em>react</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>dotPoint: 倒三角形 下顶点坐标 </p>

</div>
</div>
<a id="a63e9625915bd7a62fdba15ea2ec49441"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63e9625915bd7a62fdba15ea2ec49441">◆&nbsp;</a></span>tabBarTipShowStep</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSUInteger) tabBarTipShowStep </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>0需要展示两个 1只需要展示我的tab提示 2不需要展示 </p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a5c0d01f9c2444529d00d73f648a14f9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c0d01f9c2444529d00d73f648a14f9d">◆&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_main_tab_tip_window_manager_delegate-p.html">MainTabTipWindowManagerDelegate</a>&gt;) delegate</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/TipView/<a class="el" href="_main_tab_tip_window_manager_8h_source.html">MainTabTipWindowManager.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/TipView/<a class="el" href="_main_tab_tip_window_manager_8m.html">MainTabTipWindowManager.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_main_tab_tip_window_manager.html">MainTabTipWindowManager</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>